Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZBZIP2Handler Class Reference

Handles files compressed with bzip2. More...

Inheritance diagram for eZBZIP2Handler:

## Public Member Functions
| __construct ()
| doOpen ( $filename, $mode)
| doClose ()
| doRead ( $uncompressedLength=false)
| doWrite ( $data, $uncompressedLength=false)
| doFlush ()
| compress ( $source)
| decompress ( $source)
| error ()
| errorString ()
| errorNumber ()
Public Member Functions inherited from eZFileHandler
| __construct ( $handlerIdentifier=false, $handlerName=false)
| isOpen ()
| isBinaryMode ()
| filename ()
| mode ()
| name ()
| identifier ()
| exists ( $filename=false)
| isDirectory ( $filename=false)
| isExecutable ( $filename=false)
| isFile ( $filename=false)
| isLink ( $filename=false)
| isReadable ( $filename=false)
| isWriteable ( $filename=false)
| statistics ( $filename=false)
| open ( $filename, $mode, $binaryFile=true)
| close ()
| unlink ( $filename=false)
| rename ( $destinationFilename, $sourceFilename=false)
| read ( $length=false)
| write ( $data, $length=false)
| flush ()
| seek ( $offset, $whence=SEEK_SET)
| rewind ()
| tell ()
| eof ()
| passtrough ( $closeFile=true)
| doSeek ( $offset, $whence)
| doRewind ()
| doTell ()
| doEOF ()
| doPasstrough ( $closeFile=true)
| duplicate ()

## Public Attributes
| $WorkFactor
| $BlockSize
| $SmallDecompress
Public Attributes inherited from eZFileHandler
| $Identifier
| $FileHandler
| $Name
| $FileName
| $Mode
| $IsBinary
| $IsOpen

## Additional Inherited Members
Static Public Member Functions inherited from eZFileHandler
static | isAvailable ()
static | linkCopy ( $sourceFilename, $destinationFilename, $symbolicLink=true)
static | symlink ( $sourceFilename, $destinationFilename)
static | link ( $sourceFilename, $destinationFilename)
static | move ( $sourceFilename, $destinationFilename)
static | copy ( $sourceFilename, $destinationFilename)
static | doUnlink ( $filename)
static | doExists ( $filename)
static | doIsDirectory ( $filename)
static | doIsExecutable ( $filename)
static | doIsFile ( $filename)
static | doIsLink ( $filename)
static | doIsReadable ( $filename)
static | doIsWriteable ( $filename)
static | doStatistics ( $filename)
static | doRename ( $destinationFilename, $sourceFilename)
static | instance ( $identifier, $filename=false, $mode=false, $binaryFile=true)

## Detailed Description

Handles files compressed with bzip2.

NOTE: This is not done yet.

Definition at line 20 of file ezbzip2compressionhandler.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZBZIP2Handler::__construct | ( |  | ) |

See eZCompressionHandler::eZCompressionHandler

Definition at line 25 of file ezbzip2compressionhandler.php.

## Member Function Documentation

## ◆ compress()

eZBZIP2Handler::compress | ( |  | $source | ) |
| virtual

Compress the $source string and return it as compressed data.

Implements eZCompressionHandler.

Definition at line 50 of file ezbzip2compressionhandler.php.

## ◆ decompress()

eZBZIP2Handler::decompress | ( |  | $source | ) |
| virtual

Decompress the $source string containing compressed data and return it as a string.

Implements eZCompressionHandler.

Definition at line 54 of file ezbzip2compressionhandler.php.

## ◆ doClose()

eZBZIP2Handler::doClose | ( |  | ) |
| virtual

Does the actual file closing.

See also
  close

Implements eZFileHandler.

Definition at line 34 of file ezbzip2compressionhandler.php.

## ◆ doFlush()

eZBZIP2Handler::doFlush | ( |  | ) |
| virtual

Does the actual file flushing.

See also
  flush

Implements eZFileHandler.

Definition at line 46 of file ezbzip2compressionhandler.php.

## ◆ doOpen()

eZBZIP2Handler::doOpen | ( |  | $filename,
|  |  | $mode
| ) |  |
| virtual

Does the actual file opening.

See also
  open

Implements eZFileHandler.

Definition at line 30 of file ezbzip2compressionhandler.php.

## ◆ doRead()

eZBZIP2Handler::doRead | ( |  | $length = `false` | ) |
| virtual

Does the actual file reading.

See also
  read

Implements eZFileHandler.

Definition at line 38 of file ezbzip2compressionhandler.php.

## ◆ doWrite()

eZBZIP2Handler::doWrite | ( |  | $data,
|  |  | $length = `false`
| ) |  |
| virtual

Does the actual file writing.

See also
  write

Implements eZFileHandler.

Definition at line 42 of file ezbzip2compressionhandler.php.

## ◆ error()

eZBZIP2Handler::error | ( |  | ) |

Returns error data as an associative array, the array contains:

- string - The error string
- number - The error number
  Note
    The default implementation calls errorString() and errorNumber().

Reimplemented from eZFileHandler.

Definition at line 58 of file ezbzip2compressionhandler.php.

## ◆ errorNumber()

eZBZIP2Handler::errorNumber | ( |  | ) |
| virtual

Returns
  the error number from the last error that occured.

Implements eZFileHandler.

Definition at line 66 of file ezbzip2compressionhandler.php.

## ◆ errorString()

eZBZIP2Handler::errorString | ( |  | ) |
| virtual

Returns
  the error string from the last error that occured.

Implements eZFileHandler.

Definition at line 62 of file ezbzip2compressionhandler.php.

## Member Data Documentation

## ◆ $BlockSize

eZBZIP2Handler::$BlockSize

Definition at line 72 of file ezbzip2compressionhandler.php.

## ◆ $SmallDecompress

eZBZIP2Handler::$SmallDecompress

Definition at line 73 of file ezbzip2compressionhandler.php.

## ◆ $WorkFactor

eZBZIP2Handler::$WorkFactor

Definition at line 71 of file ezbzip2compressionhandler.php.

The documentation for this class was generated from the following file:

- ezbzip2compressionhandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.